#include<iostream>
using namespace std;
void sort(int x[],int n){
    for(int i=1;i<=n;i++)
        for(int j=i+1;j<=n;j++)
        if(x[i]>x[j]){
            x[i]+=x[j];
            x[j]=x[i]-x[j];
            x[i]-=x[j];
        }
}
int vreme(int x[],int n){
    int t=0;
    for(int i=1;i<=n;i++)
        if(x[i]!=i)
            if(x[i]>i)
                t+=x[i]-i;
            else
                t+=i-x[i];
    return t;
}
int main(){
    int n,t;
    cin>>n;
    int i[n],j[n];
    for(int k=1;k<=n;k++)
        cin>>i[k]>>j[k];
    sort(i,n);
    sort(j,n);
    t=vreme(i,n)+vreme(j,n);
    cout<<t;
    return 0;
}